<template>
  <div class="mockup-desktop__wrapper">
    <div class="mockup-desktop">
      <slot name="gradient" />
      <div class="mockup-desktop__blur"></div>
    </div>
    <div
      class="mockup-desktop__content"
      :class="{ 'cropped-content': croppedContent }"
    >
      <slot name="content" />
    </div>
    <span class="mockup-desktop__monitor-riser"></span>
  </div>
</template>

<script>
export default {
  name: 'DesktopMockup',
  props: {
    croppedContent: {
      type: Boolean,
      default: false
    }
  }
}
</script>
